# 股单详情

`GET` `/v1/sharelists/{id}`

获取股单详情，包括名称、描述及成分股列表。

## Parameters

### Path Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | integer | Yes | 股单 ID |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/sharelists/<id>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `sharelist` | object | Yes | 股单详情 |
| `scopes` | object | No | 订阅权限信息 |
| `id` | integer | Yes | 股单 ID |
| `description` | string | No | 描述 |
| `cover` | string | No | 封面图 URL |
| `subscribers_count` | integer | No | 订阅人数 |
| `chg` | string | No | 当日涨跌幅 |
| `this_year_chg` | string | No | 年初至今涨跌幅 |
| `subscribed` | boolean | No | 是否已订阅 |
| `sharelist_type` | integer | No | 类型：`0`=普通，`3`=官方，`4`=行业 |
| `industry_code` | string | No | 行业代码 |
| `is_self` | boolean | No | 是否为创建者 |
| `subscription` | boolean | No | 是否已订阅 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "id": 123,
    "name": "AI Picks",
    "description": "Top AI infrastructure stocks",
    "securities": [
      "AAPL.US",
      "NVDA.US"
    ]
  }
}
```
